Fix DBus startup notification

Authored by fvogt on Oct 24 2017, 8:06 PM.



In "Fix colours not updating in systemsettings", the application name
got changed from "systemsettings5" (inferred from the binary name) to
"systemsettings", which results in a change from "org.kde.systemsettings5"
as DBus path to "org.kde.systemsettings". KLauncher uses org.kde.<binary name>
by default, so that needs to be overwritten.

Fixes the "KDEInit count not launch /usr/bin/systemsettings5" message after
closing systemsettings and likely also launching it while it's running.

Test Plan

Opened it from dolphin and closed the window again. Only after
this patch the KDEInit error message disappeared.

Diff Detail

R124 System Settings
Automatic diff as part of commit; lint not applicable.
Automatic diff as part of commit; unit tests not applicable.
fvogt created this revision.Oct 24 2017, 8:06 PM
Restricted Application added a project: Plasma. · View Herald TranscriptOct 24 2017, 8:06 PM
fvogt added a comment.Oct 24 2017, 8:15 PM

With this the kwin startup notification bounce does not terminate before the timeout if it's already running.
How does kwin notice that the application is already there? Apparently not using the dbus service name.

This has been broken for most unique apps ever since Plasma 5.0, most noticeably with Kate. I once tried to look into KStartupInfo stuff but from what I can tell there's a "port me TODO" of some framework (KDBusAddons?) not being able to depend on another (KWindowSystem?) and thus a hook "should be created" which allows to fix this. But this never happened.

davidedmundson accepted this revision.Oct 24 2017, 10:35 PM

Urgh, Thanks

Stable branch too please.

This revision is now accepted and ready to land.Oct 24 2017, 10:35 PM
fvogt added a comment.Oct 25 2017, 5:37 AM

Urgh, Thanks

Stable branch too please.

Not sure what you mean by stable branch - this is diffed on top of Plasma/5.11 which should be enough, the change in main is not part of 5.8.

This revision was automatically updated to reflect the committed changes.
arojas added a subscriber: arojas.Oct 27 2017, 6:44 AM

Shouldn't this come with a kconf_update script? Already existing icons will not be fixed by this, since they use a copy of the desktop file in .local/share/plamsa_icons